import dayjs from 'dayjs/esm';
import { IPpk } from 'app/entities/ppk/ppk.model';

export interface IBadan {
  id: number;
  golonganUsaha?: string | null;
  jenis?: string | null;
  nama?: string | null;
  kedudukan?: string | null;
  noAkta?: string | null;
  tglAkta?: dayjs.Dayjs | null;
  namaNotaris?: string | null;
  wilKerjaNotaris?: string | null;
  skNotaris?: string | null;
  alamat?: string | null;
  rt?: string | null;
  rw?: string | null;
  kelurahan?: string | null;
  kecamatan?: string | null;
  kota?: string | null;
  provinsi?: string | null;
  kodePos?: string | null;
  noKontak?: string | null;
  namaSk?: string | null;
  nomorSk?: string | null;
  tglSk?: string | null;
  npwp?: string | null;
  pjNama?: string | null;
  pjJenisKelamin?: string | null;
  pjStatusKawin?: string | null;
  pjKelahiran?: string | null;
  pjTglLahir?: dayjs.Dayjs | null;
  pjPekerjaan?: string | null;
  pjWargaNegara?: string | null;
  pjJenisId?: string | null;
  pjNoId?: string | null;
  pjAlamat?: string | null;
  pjRt?: string | null;
  pjRw?: string | null;
  pjKelurahan?: string | null;
  pjKecamatan?: string | null;
  pjKota?: string | null;
  pjProvinsi?: string | null;
  pjKodePos?: string | null;
  template?: string | null;
  komparisi?: string | null;
  ppk?: IPpk | null;
}

export type NewBadan = Omit<IBadan, 'id'> & { id: null };
